
function handleTree() {
	if($('.tree').length > 0) {
		$('.tree li').each(function() {
			if(!$(this).hasClass('open')) {
				$(this).addClass('close');
			}
		});
		$('.tree__leave').click(function() {
			//e.preventDefault();

			if(!$(this).parent().hasClass('final')) {
				$(this).parent().toggleClass('close'); 
			}
		});
		$('.tree__leave').each(function() {
			if(!$(this).parent().find('.tree').length) {
				$(this).parent().removeClass('close').addClass('final');
			}
		});
	}
}
